<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingLeft="@dimen/dp_16"
    android:paddingRight="@dimen/dp_15"
    android:paddingTop="@dimen/dp_14"
    android:paddingBottom="@dimen/dp_14"
    tools:ignore="MissingDefaultResource">

    <FrameLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/fm_img"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent">
        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/img_msg"
            android:layout_width="@dimen/dp_49"
            android:layout_height="@dimen/dp_49"
            tools:background="@mipmap/icon_msg_system"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            />

        <androidx.cardview.widget.CardView
            android:id="@+id/mCard"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:cardBackgroundColor="@color/col_f23"
            app:cardCornerRadius="@dimen/dp_10"
            app:cardElevation="0dp"
            android:layout_gravity="end"
            android:visibility="gone"
            >

            <TextView
                android:id="@+id/mBadge"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:text="1"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_12"
                />

        </androidx.cardview.widget.CardView>
    </FrameLayout>



    <TextView
        android:id="@+id/tv_msg_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        tools:text="系统消息"
        app:layout_constraintLeft_toRightOf="@+id/fm_img"
        android:layout_marginLeft="@dimen/dp_12"
        app:layout_constraintTop_toTopOf="parent"
        android:textStyle="bold"
        android:textSize="@dimen/sp_13"
        android:textColor="@color/col_313"/>

    <TextView
        android:id="@+id/tv_msg_content"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_12"
        app:layout_constraintLeft_toRightOf="@+id/fm_img"
        app:layout_constraintTop_toBottomOf="@+id/tv_msg_title"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:textColor="@color/col_7c7"
        android:textSize="@dimen/sp_13"
        android:singleLine="true"
        android:ellipsize="end"
        tools:text="17已经预约成功17已经预约成功17已经预约成功17已经预约成功17已经预约成功17已经预约成功"/>

    <TextView
        android:id="@+id/tv_msg_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textSize="@dimen/sp_13"
        android:textColor="@color/col_7c7"
        tools:text="2023-12-04 10:25"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"/>


</androidx.constraintlayout.widget.ConstraintLayout>